package com.zhiqiyun.open.core.enmus;


/**
 * @author jtoms
 */

public enum UserLoginLogState implements IBaseEnum {
    /**
     *
     */
    LOGIN_EXCEPTION(0, "登录异常"),
    SUCCESS(1, "成功"),
    CAPTCHA_ERROR(2, "验证码错误"),
    ACCOUNT_NOT_EXIST(3, "账号不存在"),
    PASSWORD_ERROR(4, "密码错误");

    private final int value;
    private final String text;

    UserLoginLogState(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static UserLoginLogState valueOf(int value) {
        UserLoginLogState[] values = UserLoginLogState.values();
        for (UserLoginLogState type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }

    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
